# Access request : Approval reminder and escalation can be limit to 1 or 2 level

**URL:** <https://developer.sailpoint.com/discuss/t/access-request-approval-reminder-and-escalation-can-be-limit-to-1-or-2-level/216714>\
**Category:** SHF Discussion and Questions\
**Tags:** access, access-requests, identity-security-cloud\
**Created:** [July 17, 2026, 4:04pm UTC](https://developer.sailpoint.com/discuss/t/access-request-approval-reminder-and-escalation-can-be-limit-to-1-or-2-level/216714 "2026-07-17T16:04:09Z")\
**Posts on this page:** 6\
**Page:** 1

<div class="post-metadata">

**Author:** ![Shwetamongia01](https://avatars.discourse-cdn.com/v4/letter/s/57b2e6/32.png) [@Shwetamongia01](https://developer.sailpoint.com/discuss/u/Shwetamongia01)\
**Post date:** [July 17, 2026, 4:04pm UTC](https://developer.sailpoint.com/discuss/t/access-request-approval-reminder-and-escalation-can-be-limit-to-1-or-2-level/216714/1 "2026-07-17T16:04:09Z")

</div>

Hi Team,

i am looking for suggestion can we limit approval escalation to 1 or at most 2 levels? It should not move further up the organization hierarchy when we set the approval reminder. Aside to workflow as solution.

Do we have any other option, we only send a reminder and skip the escalations for approval?

Looking forward for suggestion.

Thank you,

Shweta

---

<div class="post-metadata">

**Author:** ![smukhija](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/smukhija/32/3759_2.png) [@smukhija](https://developer.sailpoint.com/discuss/u/smukhija)\
**Post date:** [July 17, 2026, 4:31pm UTC](https://developer.sailpoint.com/discuss/t/access-request-approval-reminder-and-escalation-can-be-limit-to-1-or-2-level/216714/2 "2026-07-17T16:31:47Z")

</div>

Hi Shweta,

We had a similar requirement and implemented it using an external PowerShell script. The script tracks the escalation level and stops escalation after the configured number of levels instead of continuing up the entire management hierarchy.

Out of the box, ISC does not currently provide a native option to limit escalations to only 1 or 2 manager levels.

---

<div class="post-metadata">

**Author:** ![punna0001](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/punna0001/32/42011_2.png) [@punna0001](https://developer.sailpoint.com/discuss/u/punna0001)\
**Post date:** [July 17, 2026, 10:19pm UTC](https://developer.sailpoint.com/discuss/t/access-request-approval-reminder-and-escalation-can-be-limit-to-1-or-2-level/216714/3 "2026-07-17T22:19:35Z")

</div>

Hello Shweta. This is supported natively now, so no workflow or external script is needed.

Use the [Update Approvals Configuration API](https://developer.sailpoint.com/docs/api/v2025/put-approvals-config):

`PUT /v2025/generic-approvals/config/ACCESS_REQUEST_APPROVAL/APPROVAL_TYPE`

For reminders only, enable `reminderConfig` and disable `escalationConfig`. The request stays with the current approver and only reminders are sent.

If you want escalation but limited to 1 or 2 levels, the `escalationChain` in the request body controls exactly how many `MANAGER_OF` levels the escalation walks through. So if you put only one `MANAGER_OF` entry in the chain, it stops there. Once the chain is exhausted, the approval moves to the configured `fallbackApprover` instead of continuing further up the manager hierarchy.

Test this with a new access request, since the updated configuration does not apply to approvals already pending.

SailPoint introduced these independent reminder and escalation controls with the [new approvals service](https://developer.sailpoint.com/discuss/t/enhancement-approvals-expiration-governance-group-visibility-and-more/193947) in 2026.

---

<div class="post-metadata">

**Author:** ![rogomez](https://avatars.discourse-cdn.com/v4/letter/r/d6d6ee/32.png) [@rogomez](https://developer.sailpoint.com/discuss/u/rogomez)\
**Post date:** [July 20, 2026, 8:00pm UTC](https://developer.sailpoint.com/discuss/t/access-request-approval-reminder-and-escalation-can-be-limit-to-1-or-2-level/216714/4 "2026-07-20T20:00:24Z")

</div>

Hi Harish,

Since you mentioned this config will only apply to new access requests, what can we do to configure reminders for existing pending access requests?

TIA

---

<div class="post-metadata">

**Author:** ![punna0001](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/punna0001/32/42011_2.png) [@punna0001](https://developer.sailpoint.com/discuss/u/punna0001)\
**Post date:** [July 20, 2026, 11:08pm UTC](https://developer.sailpoint.com/discuss/t/access-request-approval-reminder-and-escalation-can-be-limit-to-1-or-2-level/216714/5 "2026-07-20T23:08:21Z")

</div>

Hello Rosayda,

The new reminder configuration can’t be applied retroactively to approvals that are already pending. Those approvals keep whatever reminder and escalation settings were active when they were created. [SailPoint designed it this way](https://developer.sailpoint.com/discuss/t/enhancement-approvals-expiration-governance-group-visibility-and-more/193947) to keep approval behavior consistent throughout a request’s lifecycle.

For existing pending requests, you can still send reminders manually from the Admin UI:

**Admin \> Dashboard \> Approval Management \> Access Requests \> Remind User**

If the request has multiple approvers, open the request details and use the Assignees tab to remind the specific person. ([docs reference](https://documentation.sailpoint.com/saas/help/requests/approvals_admin.html))

Beyond that, the options are to either let the existing requests hit the timeout (default 90 days) and have requesters resubmit, or cancel and resubmit them so the new config picks up. Any newly submitted requests will automatically follow the updated reminder configuration.

---

<div class="post-metadata">

**Author:** ![system](https://global.discourse-cdn.com/sailpoint/original/2X/f/f2136700ed5e3703e0b85e02f6be799dacca7735.png) [@system](https://developer.sailpoint.com/discuss/u/system)\
**Post date:** [September 18, 2026, 11:08pm UTC](https://developer.sailpoint.com/discuss/t/access-request-approval-reminder-and-escalation-can-be-limit-to-1-or-2-level/216714/6 "2026-09-18T23:08:42Z")

</div>

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.
